Bug 884371 - Project-wide S&R not replacing all instances of term
Project-wide S&R not replacing all instances of term
Status: CLOSED INSUFFICIENT_DATA
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 23:35 EST by Leticia
Modified: 2015-07-29 21:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 19:41:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The term "VM(s)" which has been replaced by "MV(s)" was back again in the translated strings (237.42 KB, image/png)
2012-12-12 06:04 EST, Leticia
no flags Details
The wrong term: "novamente a MV." was suggested for replacement. (213.88 KB, image/png)
2012-12-12 06:06 EST, Leticia
no flags Details
Notification icon not listing the saved/unsaved strings (182.65 KB, image/png)
2012-12-12 06:08 EST, Leticia
no flags Details

  None (edit)
Description Leticia 2012-12-05 23:35:25 EST
Description of problem:
I decided to double check a document of oVirt (https://translate.zanata.org/) that I had replaced a term and found that some of the terms replaced did not take place, even though I remember replacing the exact same strings. For instance, in my first search of the word "rodagem", I got 4 pages as a result.
Then, I replaced it all for "execução". (I set up my page to show 25 strings per page). After a couple of minutes, I returned to the same document under oVirt and did a search for the same word again "rodagem". Even replacing it earlier, 2 more pages were displayed with the word "rodagem" again, which means the changes I have made and saved didn't take place. After replacing it for the second time, the new term "execução" finally took place.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Search a word in one of the Zanata documents (big document and such word appears numerous times) 
2.Replace the word for another term
3.Few minutes do a search for the same word (the one replaced) and the word is back again to the project

  
Actual results:
I am working in a translation task (oVirt) with a lot of strings for each Project/section under https://translate.zanata.org/
When trying to replace a term under a project, I do I search of the term (ie; rodagem), then I replace it for the new term I want to use (ie.: execução) and click on the save button.
The replacement does not take place for all of the terms replaced. 

Expected results:
The terms saved (execução) replaces the old term (rodagem)

Additional info:
https://translate.zanata.org/
oVirt
Document: AppErrors
Comment 2 Leticia 2012-12-12 06:04:30 EST
Created attachment 662273 [details]
The term "VM(s)" which has been replaced by "MV(s)" was back again in the translated strings
Comment 3 Leticia 2012-12-12 06:06:49 EST
Created attachment 662274 [details]
The wrong term: "novamente a MV." was suggested for replacement.
Comment 4 Leticia 2012-12-12 06:08:27 EST
Created attachment 662275 [details]
Notification icon not listing the saved/unsaved strings
Comment 5 David Mason 2012-12-12 21:54:46 EST
(In reply to comment #3)
> Created attachment 662274 [details]
> The wrong term: "novamente a MV." was suggested for replacement.

Please create a different bug report for this and describe what you were doing so I can try to figure out what caused the incorrect replacement to be shown.
Comment 6 David Mason 2012-12-12 22:18:16 EST
(In reply to comment #2)
> Created attachment 662273 [details]
> The term "VM(s)" which has been replaced by "MV(s)" was back again in the
> translated strings

I will need more information to be able to reproduce the problem. Please do as much of the following as possible the next time this happens:

1. If possible, don't try to make the replacement again - if I am able to sign in and have a look at it exactly as it is after it failed there may be more clues.
2. Click on the notification icon (bell) and look for a message about the replacement you made (should be at the top) - take a screenshot that shows this.
3. Press Ctrl+Shift+J, which should show a log console. If it does, scroll to the bottom of the console and take a screenshot. Close the console.

4. copy the full URL from the address bar and paste it in the bug comment
5. press 'back' once on the browser

Repeat steps 4 and 5 until you have 4 or 5 urls. This will help me see the exact steps that were taken before the replacement failed.
Comment 7 Sean Flanigan 2013-04-15 19:41:14 EDT
Closing. Please re-open if it happens again, but please try to gather the information requested in comment 6.  This will help us reproduce the problem.

Note You need to log in before you can comment on or make changes to this bug.